MySQL 5.1 configure.in is incompatible with automake 1.13

Bug #1164958 reported by Alexey Kopytov on 2013-04-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MySQL Server
Unknown
Unknown
Percona Server moved to https://jira.percona.com/projects/PS
Invalid
Undecided
Unassigned
5.1
Fix Released
Low
Alexey Kopytov
5.5
Invalid
Undecided
Unassigned
5.6
Invalid
Undecided
Unassigned

Bug Description

Trying to build 5.1 with a automake 1.13 installed gives me this:

aclocal: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:25: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/opt/local/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.in:25: the top level
autom4te: /opt/local/bin/gm4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1

The fix is s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/ in configure.in.

Related branches

Alexey Kopytov (akopytov) wrote :

Fixed in 5.1.67 upstream in the same revision as the fix for bug #1064953 / http://bugs.mysql.com/bug.php?id=67177. The fix is identical to ours, so there's nothing to do for us here.

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-2931

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.